Download it now!
Bug 54757 - FILEOPEN .xlsx: only number value of data label shown
Summary: FILEOPEN .xlsx: only number value of data label shown
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OOXML-Chart Chart-Labels
  Show dependency treegraph
 
Reported: 2012-09-11 06:58 UTC by Kirill
Modified: 2019-05-13 04:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
problem file (48.45 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-09-11 06:58 UTC, Kirill
Details
Screenshots with comments (72.59 KB, application/pdf)
2012-11-16 16:05 UTC, Rainer Bielefeld Retired
Details
The original file in current Calc master and Excel 13 (215.57 KB, image/png)
2018-10-12 11:40 UTC, Gabor Kelemen
Details
Screenshot of minor regression in size (125.77 KB, image/png)
2019-05-13 04:51 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill 2012-09-11 06:58:36 UTC
Created attachment 66947 [details]
problem file

Broken the signature in a pie chart.
Comment 1 Kirill 2012-11-16 11:39:25 UTC
Greetings, please inform me about status of my ticket
Comment 2 Rainer Bielefeld Retired 2012-11-16 16:02:12 UTC
I do not know what a "signature of a pie chart"  might be, so I hijack this report for the very obvious data label problem.

Steps how to reproduce [Reproducible] with parallel installation of Master "LOdev  4.0.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: a2b3ee)]"  {tinderbox: @6, pull time 2012-11-13 06:07:28} on German WIN7 Home Premium (64bit) with separate /4 User Profile for Master Branch:

1. Open reporter's sample document
2. Scroll until you see 3D Pie Chart from screenshot
   Expected: Data Labels looks like in Excel, each weith 3 lines for  , , 
   Actual: only a number value is shown
3. Double click pie chart
   > Edit mode
4. click 2 times (with a little waiting time the most left data label "12419 ..."
   Control points around label appear
5. Rightclick the selected data label -> Format single Data Label'
   > Data labels dialog appears, you see that only "Show value as number" 
     is checked.
6. Unselect "Show as Number, select a 2 decimals percentage number format <ok>
   > Now shown 3,69% as in EXCEL
7. Select "Show as number" with a format " kB" instead of source format and 
   "New Line" as separator  <ok>
  > KLooks a little more similar to Excel
8. ...

That never worked, I see the same problem with LibO 3.3.3 and very similar in AOOo 3.4.1

@Kirill:
Can you give some more hints what exactly is missing and with what steps that can be repaired (only for the data labels problem)?

Can you please submit additional bug reports for the other problems visible in the sheet as I recommended in Bug 54447?
Comment 3 Rainer Bielefeld Retired 2012-11-16 16:05:54 UTC
Created attachment 70162 [details]
Screenshots with comments
Comment 4 Kirill 2013-02-05 07:04:27 UTC
@Rainer:
Can you tell me about this issue?

In your post you describe the problem accurately enough.

As I understand, in LO 4.0 beta problem persists.

Can you give any predictions?

Thanks.
Comment 5 Rainer Bielefeld Retired 2013-02-05 07:28:18 UTC
Still [Reproducible] with parallel Dev. Installation of "LODev  4.0.1.0+   -  English UI / German Locale  [Build ID: 9b70bf62e6b5319e282cd3533c90216aabccfe5)]"  {tinderbox: @6, pull time  2013-02-03 09:04:55} on German WIN7 Home Premium (64bit) with newly created user profile ….\LODev\401\


@Kirill:
If that's the problem you see we can make this one NEW

@Spreadsheet Team:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC).
Comment 6 Kirill 2013-02-05 07:41:40 UTC
Yes, this is the problem i see
Comment 7 Markus Mohrhard 2015-04-30 20:27:40 UTC
We currently don't support data labels with custom text.

This requires quite some work to add that feature. Starting by adding it to the chart core, rendering, UNO API, import & export and ODF.
Comment 8 Gabor Kelemen 2018-10-12 11:40:23 UTC
Created attachment 145641 [details]
The original file in current Calc master and Excel 13

I'm not sure when was this fixed, but currently both pie charts display the percentage values just like Excel does.

Data label positioning is still looking terrible.
Comment 9 Aron Budea 2019-05-13 04:51:25 UTC
Created attachment 151339 [details]
Screenshot of minor regression in size

(In reply to Gabor Kelemen from comment #8)
> I'm not sure when was this fixed, but currently both pie charts display the
> percentage values just like Excel does.
The labels got fixed in the following commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=790f9abeb1a1167ad5ab84c5fb855b36669c125b
author		Szymon Kłos <szymon.klos@collabora.com>	2018-01-04 22:15:32 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2018-01-29 23:49:42 +0100

"tdf#114821 import complex data labels in bar chart"

There's also a regression aspect, starting with the commit below the chart size changes slightly (but then changes further with the commit above, so I'm not sure how much this original change matters, see comparison screenshot):
https://cgit.freedesktop.org/libreoffice/core/commit/?id=e1697600253361a26d77a1ef61f8bde16af0ed2c
author		Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2017-12-13 22:03:12 +0900
committer	Tomaž Vajngerl <quikee@gmail.com>	2017-12-18 12:37:41 +0100

'chart2: Batch changes to properties when creating 3D objects"